Bug 804591 - (CVE-2012-1186) CVE-2012-1186: ImageMagick: Incorrect fix for CVE-2012-0248
CVE-2012-1186: ImageMagick: Incorrect fix for CVE-2012-0248
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20120319,reported=20120228,sou...
: Security
Depends On: 796844 796845
Blocks: 798337
  Show dependency treegraph
 
Reported: 2012-03-19 06:57 EDT by Stefan Cornelius
Modified: 2015-11-24 09:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 17:38:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-03-19 06:57:28 EDT
The original fix for CVE-2012-0248 was found to be insufficient.

The original fix for CVE-2012-0248 failed to correct the denial of service condition in "profile.c" source code part, too. This still allowed the specially-crafted image file, when processed for example by the "convert" executable, to cause original CVE-2012-0248 problem (denial of service).

Relevant upstream patch:
[1] http://trac.imagemagick.org/changeset/6998/ImageMagick/branches/ImageMagick-6.7.5/magick/profile.c
Comment 1 Stefan Cornelius 2012-03-19 09:22:28 EDT
A CVE identifier of CVE-2012-1186 has been assigned to this issue.
Comment 2 Pavel Alexeev 2012-03-19 15:58:29 EDT
Is upstream author informed about it?
Comment 3 Stefan Cornelius 2012-03-19 16:17:51 EDT
(In reply to comment #2)
> Is upstream author informed about it?


Yes, they've been informed about the issues and published fixes (e.g. see the patches linked in the description above - comment #0).
Comment 4 Pavel Alexeev 2012-03-20 12:29:04 EDT
I meant is author informed what they patch is not sufficient?

And is there already complete solution?
Comment 5 Stefan Cornelius 2012-03-20 14:05:03 EDT
Pavel,

Yes, we've informed ImageMagick upstream about the incorrect fix, so ImageMagick upstream knows about the incorrect fix. Upstream ImageMagick has completely fixed this in the ImageMagick subversion repository (3 weeks ago).

If you want to know a detailed list of the upstream ImageMagick releases including the complete fix, you should contact ImageMagick upstream.
Comment 6 Pavel Alexeev 2012-04-11 09:29:24 EDT
Rawhide build which should fix it http://koji.fedoraproject.org/koji/taskinfo?taskID=3977291.
Comment 7 Stefan Cornelius 2012-04-24 17:38:05 EDT
Statement:

Not vulnerable. This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5 and 6 as they did not backport the insufficient patch for CVE-2012-0248.

Note You need to log in before you can comment on or make changes to this bug.